/**
 * EVA config shape that comes from eva-config.json
 *
 * @export
 * @interface IConfig
 */
export interface IConfig {
    name: string;
    customerName: string;
    endpoint: string;
    isProduction?: boolean;
}
/**
 * Tries to retrieve an endpoint configuration from the site root configuration file
 * Every eva-suite hosted deployment can have a config file which details which
 * backend server to use.
 * Development installation will often not have this file to fallback on a
 * selection mechanism from the customer manager
 *
 * @returns {(Promise<IConfig|undefined>)}
 */
export declare const getConfigFromRootConfig: () => Promise<IConfig | undefined>;
//# sourceMappingURL=config.d.ts.map